Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.universe
Class UniverseAddress

    java.lang.Object
      things.universe.UniverseAddress

All Implemented Interfaces:
  java.io.Serializable

    public class UniverseAddress

extends java.lang.Object
implements java.io.Serializable

Universe object address.

This defines a UADDY format, which expressed the address as a string:
[UNIVERENAME]:[OBJECT_PATH]
[UNIVERENAME] = The registered local universe name.
[OBJECT_PATH] = The path to the object.
Neither value is validated. It only looks for the ':';

Version:
  1.0

  Version History

      EPG - Initial - 11 SEP 07

Author:
  Erich P. Gatejen
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `path` The path into the universe.
`static long` | `serialVersionUID`
`static java.lang.String` | `UADDY_SEPARATOR` Separator between the name and the path.
`java.lang.String` | `universeName` The local universe name.

Constructor Summary
`UniverseAddress(java.lang.String uaddy)` Construct using an UADDY
`UniverseAddress(java.lang.String uname, java.lang.String upath)` Construct.

Method Summary
`java.lang.String` | `getUaddy()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### UADDY_SEPARATOR

    public static final java.lang.String UADDY_SEPARATOR

  Separator between the name and the path.

  See Also:
    Constant Field Values

### universeName

    public java.lang.String universeName

  The local universe name.

### path

    public java.lang.String path

  The path into the universe.

Constructor Detail

### UniverseAddress

    public UniverseAddress(java.lang.String uname,
                           java.lang.String upath)
                    throws java.lang.Throwable

  Construct.

  Parameters:
    `uname` - The local universe name.
    `upath` - The path to the object.
  Throws:
    `java.lang.Throwable` - if null parameters.

### UniverseAddress

    public UniverseAddress(java.lang.String uaddy)
                    throws java.lang.Throwable

  Construct using an UADDY

  Parameters:
    `uaddy` - The string UADDY
  Throws:
    `java.lang.Throwable` - if malformed.

Method Detail

### getUaddy

    public java.lang.String getUaddy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.